extends Node2D

# 自動で停止するかどうか
# トラックの同期を取る必要がなければ true
const AUTO_STOP = false
# フェード時間.
const FADE_TIME = 2.0

# BGM管理.
@onready var _music = $Music

@onready var _label = $Label
@onready var _label2 = $Label2

func _ready() -> void:
	# あらかじめすべて再生することで同期を取った再生ができる.
	_music.play_all_mute()
	# フェードなしで Idx=0 の BGMを再生.
	_music.play(0, 0, AUTO_STOP)

func _process(delta: float) -> void:
	_label.text = "Track 0 - dB: %3.f %s pos:%3.2f"%[
			_music.get_track_db(0),
			_music.get_track_state_dbg(0),
			_music.get_track_playback_pos(0)]
	_label2.text = "Track 1 - dB: %3.f %s pos:%3.2f"%[
			_music.get_track_db(1),
			_music.get_track_state_dbg(1),
			_music.get_track_playback_pos(1)]

func _on_button_pressed() -> void:
	# フェードありで Idx=0 の BGMを再生.
	_music.play(0, FADE_TIME, AUTO_STOP)

func _on_button_2_pressed() -> void:
	# フェードありで Idx=1 の BGMを再生.
	_music.play(1, FADE_TIME, AUTO_STOP)
